package com.bananahammock;

import com.bananahammock.auth.JSoupCookieManager;
import org.jsoup.Connection;

import java.util.Set;

/**
 * Created by IntelliJ IDEA.
 * User: scott
 * Date: 8/29/11
 * Time: 9:19 PM
 * To change this template use File | Settings | File Templates.
 */
public final class JSoupUtils {

	////////////////////////////////////////////////////////////
	//	Constructor

    private JSoupUtils() {}

	////////////////////////////////////////////////////////////
	//	Statics

    public static final Connection setCookies(Connection c) {
        Set<String> cookieKeys = JSoupCookieManager.instance().getKeys();
        for (String key : cookieKeys) {
            c.cookie(key, JSoupCookieManager.instance().getValue(key));
        }
        return c;
    }

}
