package com.bananahammock.thread;

/**
 * Created by IntelliJ IDEA.
 * User: scott
 * Date: 9/15/11
 * Time: 11:47 PM
 * To change this template use File | Settings | File Templates.
 */
final class DefaultPostDescriptor implements PostDescriptor {

    ////////////////////////////////////////////////////////////
    //	Statics

    private static final String STYLE = "<link rel='stylesheet' type='text/css' href='post_style.css'/>";

    ////////////////////////////////////////////////////////////
    //	Variables

    private final String posterName;
    private final String postContent;

    ////////////////////////////////////////////////////////////
    //	Constructor

    DefaultPostDescriptor(String posterName, String postContent) {
        this.posterName = posterName;
        this.postContent = "<html>\n<head>\n" + STYLE + "\n</head>\n<body>\n" + postContent + "\n</body>\n</html>";
    }

    ////////////////////////////////////////////////////////////
    //	Overridden

    @Override
    public final String getPosterName() {
        return posterName;
    }

    @Override
    public final String getPostContent() {
        return postContent;
    }

    @Override
    public final String toString() {
       return "Poster: " + posterName + " Content: " + postContent;
    }
}
