package com.bananahammock.thread;

import com.bananahammock.Utils;

/**
 * Created by IntelliJ IDEA.
 * User: scott
 * Date: 9/8/11
 * Time: 2:16 PM
 * To change this template use File | Settings | File Templates.
 */
final class DefaultThreadDescriptor implements ThreadDescriptor {

    ////////////////////////////////////////////////////////////
    //	Variables

    private final String title;
    private final String url;
    private final String author;

    ////////////////////////////////////////////////////////////
    //	Constructors

    DefaultThreadDescriptor(String title, String url, String author) {
        this.title = Utils.checkNull(title);
        this.url = Utils.checkNull(url);
        this.author = Utils.checkNull(author);
    }

    ////////////////////////////////////////////////////////////
    //	Overridden

    @Override
    public final String getTitle() {
        return title;
    }

    @Override
    public final String getURL() {
        return url;
    }

    @Override
    public final String getAuthor() {
        return author;
    }

    @Override
    public final String toString() {
        return "Title: " + title + " Author: " + author + " (" + url + ")";
    }

}
