package com.bananahammock.auth;

/**
 * Created by IntelliJ IDEA.
 * User: scott
 * Date: 8/25/11
 * Time: 10:55 PM
 * To change this template use File | Settings | File Templates.
 */
final class DefaultLoginToken implements LoginToken {

    private final String uid;
    private final String magicKey;
    private final String securityId;
    private final String securityImageUrl;

    public DefaultLoginToken(String uid, String magicKey, String securityId, String securityImageUrl) {
        this.uid = uid;
        this.magicKey = magicKey;
        this.securityId = securityId;
        this.securityImageUrl = securityImageUrl;
    }

    @Override
    public String getUID() {
        return uid;
    }

    @Override
    public String getMagicKey() {
        return magicKey;
    }

    @Override
    public String getSecurityId() {
        return securityId;
    }

    @Override
    public String getSecurityImageURL() {
        return securityImageUrl;
    }
}
