package com.bananahammock.foruminfo;

import android.os.Parcelable;

import java.util.List;

/**
 * Small wrapper interface that describes a forum
 * 
 * @author Scott Faria - scott.faria@gmail.com
 */
public interface ForumDescriptor extends Parcelable {
	
	String getName();
	
	String getURL();

    /** A list of subforums under a main forum, can be empty */
    List<ForumDescriptor> getSubForums();
	
}
